IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network145.3.32.0/20
Usable hosts4,094
Subnet mask255.255.240.0
Addresses4,096
- Network address
145.3.32.0- Broadcast address
145.3.47.255- First usable
145.3.32.1- Last usable
145.3.47.254- Usable hosts
- 4,094 (4,096 less the network and broadcast addresses)
- Subnet mask
255.255.240.0- Wildcard mask
0.0.15.255(Cisco ACLs, OSPF)- Prefix length
- /20
- Type
- Public public
- Old class
- B (default /16)
- As numbers
- Hex
91032000· Integer2432901120to2432905215 - Reverse DNS zones
32.3.145.in-addr.arpa33.3.145.in-addr.arpa34.3.145.in-addr.arpa35.3.145.in-addr.arpa36.3.145.in-addr.arpa37.3.145.in-addr.arpa38.3.145.in-addr.arpa39.3.145.in-addr.arpa40.3.145.in-addr.arpa41.3.145.in-addr.arpa42.3.145.in-addr.arpa43.3.145.in-addr.arpa44.3.145.in-addr.arpa45.3.145.in-addr.arpa46.3.145.in-addr.arpa47.3.145.in-addr.arpa
/20 is not on a 8-bit boundary, so it takes 16 /24 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 10010001.00000011.00100000.00000000 | 145.3.32.0 |
| Subnet mask | 11111111.11111111.11110000.00000000 | 255.255.240.0 |
| Network | 10010001.00000011.00100000.00000000 | 145.3.32.0 |
| Broadcast | 10010001.00000011.00101111.11111111 | 145.3.47.255 |
Split into smaller subnets
/21 (2)/22 (4)/23 (8)/24 (16)/25 (32)/26 (64)/27 (128)/28 (256)/29 (512)/30 (1,024)/31 (2,048)/32 (4,096)
145.3.32.0/20 makes 4,096 subnets of /32; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 145.3.32.0/32 | 145.3.32.0 to 145.3.32.0 | — | 1 |
| 2 | 145.3.32.1/32 | 145.3.32.1 to 145.3.32.1 | — | 1 |
| 3 | 145.3.32.2/32 | 145.3.32.2 to 145.3.32.2 | — | 1 |
| 4 | 145.3.32.3/32 | 145.3.32.3 to 145.3.32.3 | — | 1 |
| 5 | 145.3.32.4/32 | 145.3.32.4 to 145.3.32.4 | — | 1 |
| 6 | 145.3.32.5/32 | 145.3.32.5 to 145.3.32.5 | — | 1 |
| 7 | 145.3.32.6/32 | 145.3.32.6 to 145.3.32.6 | — | 1 |
| 8 | 145.3.32.7/32 | 145.3.32.7 to 145.3.32.7 | — | 1 |
| 9 | 145.3.32.8/32 | 145.3.32.8 to 145.3.32.8 | — | 1 |
| 10 | 145.3.32.9/32 | 145.3.32.9 to 145.3.32.9 | — | 1 |
| 11 | 145.3.32.10/32 | 145.3.32.10 to 145.3.32.10 | — | 1 |
| 12 | 145.3.32.11/32 | 145.3.32.11 to 145.3.32.11 | — | 1 |
| 13 | 145.3.32.12/32 | 145.3.32.12 to 145.3.32.12 | — | 1 |
| 14 | 145.3.32.13/32 | 145.3.32.13 to 145.3.32.13 | — | 1 |
| 15 | 145.3.32.14/32 | 145.3.32.14 to 145.3.32.14 | — | 1 |
| 16 | 145.3.32.15/32 | 145.3.32.15 to 145.3.32.15 | — | 1 |
| 17 | 145.3.32.16/32 | 145.3.32.16 to 145.3.32.16 | — | 1 |
| 18 | 145.3.32.17/32 | 145.3.32.17 to 145.3.32.17 | — | 1 |
| 19 | 145.3.32.18/32 | 145.3.32.18 to 145.3.32.18 | — | 1 |
| 20 | 145.3.32.19/32 | 145.3.32.19 to 145.3.32.19 | — | 1 |
| 21 | 145.3.32.20/32 | 145.3.32.20 to 145.3.32.20 | — | 1 |
| 22 | 145.3.32.21/32 | 145.3.32.21 to 145.3.32.21 | — | 1 |
| 23 | 145.3.32.22/32 | 145.3.32.22 to 145.3.32.22 | — | 1 |
| 24 | 145.3.32.23/32 | 145.3.32.23 to 145.3.32.23 | — | 1 |
| 25 | 145.3.32.24/32 | 145.3.32.24 to 145.3.32.24 | — | 1 |
| 26 | 145.3.32.25/32 | 145.3.32.25 to 145.3.32.25 | — | 1 |
| 27 | 145.3.32.26/32 | 145.3.32.26 to 145.3.32.26 | — | 1 |
| 28 | 145.3.32.27/32 | 145.3.32.27 to 145.3.32.27 | — | 1 |
| 29 | 145.3.32.28/32 | 145.3.32.28 to 145.3.32.28 | — | 1 |
| 30 | 145.3.32.29/32 | 145.3.32.29 to 145.3.32.29 | — | 1 |
| 31 | 145.3.32.30/32 | 145.3.32.30 to 145.3.32.30 | — | 1 |
| 32 | 145.3.32.31/32 | 145.3.32.31 to 145.3.32.31 | — | 1 |
| 33 | 145.3.32.32/32 | 145.3.32.32 to 145.3.32.32 | — | 1 |
| 34 | 145.3.32.33/32 | 145.3.32.33 to 145.3.32.33 | — | 1 |
| 35 | 145.3.32.34/32 | 145.3.32.34 to 145.3.32.34 | — | 1 |
| 36 | 145.3.32.35/32 | 145.3.32.35 to 145.3.32.35 | — | 1 |
| 37 | 145.3.32.36/32 | 145.3.32.36 to 145.3.32.36 | — | 1 |
| 38 | 145.3.32.37/32 | 145.3.32.37 to 145.3.32.37 | — | 1 |
| 39 | 145.3.32.38/32 | 145.3.32.38 to 145.3.32.38 | — | 1 |
| 40 | 145.3.32.39/32 | 145.3.32.39 to 145.3.32.39 | — | 1 |
| 41 | 145.3.32.40/32 | 145.3.32.40 to 145.3.32.40 | — | 1 |
| 42 | 145.3.32.41/32 | 145.3.32.41 to 145.3.32.41 | — | 1 |
| 43 | 145.3.32.42/32 | 145.3.32.42 to 145.3.32.42 | — | 1 |
| 44 | 145.3.32.43/32 | 145.3.32.43 to 145.3.32.43 | — | 1 |
| 45 | 145.3.32.44/32 | 145.3.32.44 to 145.3.32.44 | — | 1 |
| 46 | 145.3.32.45/32 | 145.3.32.45 to 145.3.32.45 | — | 1 |
| 47 | 145.3.32.46/32 | 145.3.32.46 to 145.3.32.46 | — | 1 |
| 48 | 145.3.32.47/32 | 145.3.32.47 to 145.3.32.47 | — | 1 |
| 49 | 145.3.32.48/32 | 145.3.32.48 to 145.3.32.48 | — | 1 |
| 50 | 145.3.32.49/32 | 145.3.32.49 to 145.3.32.49 | — | 1 |
| 51 | 145.3.32.50/32 | 145.3.32.50 to 145.3.32.50 | — | 1 |
| 52 | 145.3.32.51/32 | 145.3.32.51 to 145.3.32.51 | — | 1 |
| 53 | 145.3.32.52/32 | 145.3.32.52 to 145.3.32.52 | — | 1 |
| 54 | 145.3.32.53/32 | 145.3.32.53 to 145.3.32.53 | — | 1 |
| 55 | 145.3.32.54/32 | 145.3.32.54 to 145.3.32.54 | — | 1 |
| 56 | 145.3.32.55/32 | 145.3.32.55 to 145.3.32.55 | — | 1 |
| 57 | 145.3.32.56/32 | 145.3.32.56 to 145.3.32.56 | — | 1 |
| 58 | 145.3.32.57/32 | 145.3.32.57 to 145.3.32.57 | — | 1 |
| 59 | 145.3.32.58/32 | 145.3.32.58 to 145.3.32.58 | — | 1 |
| 60 | 145.3.32.59/32 | 145.3.32.59 to 145.3.32.59 | — | 1 |
| 61 | 145.3.32.60/32 | 145.3.32.60 to 145.3.32.60 | — | 1 |
| 62 | 145.3.32.61/32 | 145.3.32.61 to 145.3.32.61 | — | 1 |
| 63 | 145.3.32.62/32 | 145.3.32.62 to 145.3.32.62 | — | 1 |
| 64 | 145.3.32.63/32 | 145.3.32.63 to 145.3.32.63 | — | 1 |
| 65 | 145.3.32.64/32 | 145.3.32.64 to 145.3.32.64 | — | 1 |
| 66 | 145.3.32.65/32 | 145.3.32.65 to 145.3.32.65 | — | 1 |
| 67 | 145.3.32.66/32 | 145.3.32.66 to 145.3.32.66 | — | 1 |
| 68 | 145.3.32.67/32 | 145.3.32.67 to 145.3.32.67 | — | 1 |
| 69 | 145.3.32.68/32 | 145.3.32.68 to 145.3.32.68 | — | 1 |
| 70 | 145.3.32.69/32 | 145.3.32.69 to 145.3.32.69 | — | 1 |
| 71 | 145.3.32.70/32 | 145.3.32.70 to 145.3.32.70 | — | 1 |
| 72 | 145.3.32.71/32 | 145.3.32.71 to 145.3.32.71 | — | 1 |
| 73 | 145.3.32.72/32 | 145.3.32.72 to 145.3.32.72 | — | 1 |
| 74 | 145.3.32.73/32 | 145.3.32.73 to 145.3.32.73 | — | 1 |
| 75 | 145.3.32.74/32 | 145.3.32.74 to 145.3.32.74 | — | 1 |
| 76 | 145.3.32.75/32 | 145.3.32.75 to 145.3.32.75 | — | 1 |
| 77 | 145.3.32.76/32 | 145.3.32.76 to 145.3.32.76 | — | 1 |
| 78 | 145.3.32.77/32 | 145.3.32.77 to 145.3.32.77 | — | 1 |
| 79 | 145.3.32.78/32 | 145.3.32.78 to 145.3.32.78 | — | 1 |
| 80 | 145.3.32.79/32 | 145.3.32.79 to 145.3.32.79 | — | 1 |
| 81 | 145.3.32.80/32 | 145.3.32.80 to 145.3.32.80 | — | 1 |
| 82 | 145.3.32.81/32 | 145.3.32.81 to 145.3.32.81 | — | 1 |
| 83 | 145.3.32.82/32 | 145.3.32.82 to 145.3.32.82 | — | 1 |
| 84 | 145.3.32.83/32 | 145.3.32.83 to 145.3.32.83 | — | 1 |
| 85 | 145.3.32.84/32 | 145.3.32.84 to 145.3.32.84 | — | 1 |
| 86 | 145.3.32.85/32 | 145.3.32.85 to 145.3.32.85 | — | 1 |
| 87 | 145.3.32.86/32 | 145.3.32.86 to 145.3.32.86 | — | 1 |
| 88 | 145.3.32.87/32 | 145.3.32.87 to 145.3.32.87 | — | 1 |
| 89 | 145.3.32.88/32 | 145.3.32.88 to 145.3.32.88 | — | 1 |
| 90 | 145.3.32.89/32 | 145.3.32.89 to 145.3.32.89 | — | 1 |
| 91 | 145.3.32.90/32 | 145.3.32.90 to 145.3.32.90 | — | 1 |
| 92 | 145.3.32.91/32 | 145.3.32.91 to 145.3.32.91 | — | 1 |
| 93 | 145.3.32.92/32 | 145.3.32.92 to 145.3.32.92 | — | 1 |
| 94 | 145.3.32.93/32 | 145.3.32.93 to 145.3.32.93 | — | 1 |
| 95 | 145.3.32.94/32 | 145.3.32.94 to 145.3.32.94 | — | 1 |
| 96 | 145.3.32.95/32 | 145.3.32.95 to 145.3.32.95 | — | 1 |
| 97 | 145.3.32.96/32 | 145.3.32.96 to 145.3.32.96 | — | 1 |
| 98 | 145.3.32.97/32 | 145.3.32.97 to 145.3.32.97 | — | 1 |
| 99 | 145.3.32.98/32 | 145.3.32.98 to 145.3.32.98 | — | 1 |
| 100 | 145.3.32.99/32 | 145.3.32.99 to 145.3.32.99 | — | 1 |
| 101 | 145.3.32.100/32 | 145.3.32.100 to 145.3.32.100 | — | 1 |
| 102 | 145.3.32.101/32 | 145.3.32.101 to 145.3.32.101 | — | 1 |
| 103 | 145.3.32.102/32 | 145.3.32.102 to 145.3.32.102 | — | 1 |
| 104 | 145.3.32.103/32 | 145.3.32.103 to 145.3.32.103 | — | 1 |
| 105 | 145.3.32.104/32 | 145.3.32.104 to 145.3.32.104 | — | 1 |
| 106 | 145.3.32.105/32 | 145.3.32.105 to 145.3.32.105 | — | 1 |
| 107 | 145.3.32.106/32 | 145.3.32.106 to 145.3.32.106 | — | 1 |
| 108 | 145.3.32.107/32 | 145.3.32.107 to 145.3.32.107 | — | 1 |
| 109 | 145.3.32.108/32 | 145.3.32.108 to 145.3.32.108 | — | 1 |
| 110 | 145.3.32.109/32 | 145.3.32.109 to 145.3.32.109 | — | 1 |
| 111 | 145.3.32.110/32 | 145.3.32.110 to 145.3.32.110 | — | 1 |
| 112 | 145.3.32.111/32 | 145.3.32.111 to 145.3.32.111 | — | 1 |
| 113 | 145.3.32.112/32 | 145.3.32.112 to 145.3.32.112 | — | 1 |
| 114 | 145.3.32.113/32 | 145.3.32.113 to 145.3.32.113 | — | 1 |
| 115 | 145.3.32.114/32 | 145.3.32.114 to 145.3.32.114 | — | 1 |
| 116 | 145.3.32.115/32 | 145.3.32.115 to 145.3.32.115 | — | 1 |
| 117 | 145.3.32.116/32 | 145.3.32.116 to 145.3.32.116 | — | 1 |
| 118 | 145.3.32.117/32 | 145.3.32.117 to 145.3.32.117 | — | 1 |
| 119 | 145.3.32.118/32 | 145.3.32.118 to 145.3.32.118 | — | 1 |
| 120 | 145.3.32.119/32 | 145.3.32.119 to 145.3.32.119 | — | 1 |
| 121 | 145.3.32.120/32 | 145.3.32.120 to 145.3.32.120 | — | 1 |
| 122 | 145.3.32.121/32 | 145.3.32.121 to 145.3.32.121 | — | 1 |
| 123 | 145.3.32.122/32 | 145.3.32.122 to 145.3.32.122 | — | 1 |
| 124 | 145.3.32.123/32 | 145.3.32.123 to 145.3.32.123 | — | 1 |
| 125 | 145.3.32.124/32 | 145.3.32.124 to 145.3.32.124 | — | 1 |
| 126 | 145.3.32.125/32 | 145.3.32.125 to 145.3.32.125 | — | 1 |
| 127 | 145.3.32.126/32 | 145.3.32.126 to 145.3.32.126 | — | 1 |
| 128 | 145.3.32.127/32 | 145.3.32.127 to 145.3.32.127 | — | 1 |
| 129 | 145.3.32.128/32 | 145.3.32.128 to 145.3.32.128 | — | 1 |
| 130 | 145.3.32.129/32 | 145.3.32.129 to 145.3.32.129 | — | 1 |
| 131 | 145.3.32.130/32 | 145.3.32.130 to 145.3.32.130 | — | 1 |
| 132 | 145.3.32.131/32 | 145.3.32.131 to 145.3.32.131 | — | 1 |
| 133 | 145.3.32.132/32 | 145.3.32.132 to 145.3.32.132 | — | 1 |
| 134 | 145.3.32.133/32 | 145.3.32.133 to 145.3.32.133 | — | 1 |
| 135 | 145.3.32.134/32 | 145.3.32.134 to 145.3.32.134 | — | 1 |
| 136 | 145.3.32.135/32 | 145.3.32.135 to 145.3.32.135 | — | 1 |
| 137 | 145.3.32.136/32 | 145.3.32.136 to 145.3.32.136 | — | 1 |
| 138 | 145.3.32.137/32 | 145.3.32.137 to 145.3.32.137 | — | 1 |
| 139 | 145.3.32.138/32 | 145.3.32.138 to 145.3.32.138 | — | 1 |
| 140 | 145.3.32.139/32 | 145.3.32.139 to 145.3.32.139 | — | 1 |
| 141 | 145.3.32.140/32 | 145.3.32.140 to 145.3.32.140 | — | 1 |
| 142 | 145.3.32.141/32 | 145.3.32.141 to 145.3.32.141 | — | 1 |
| 143 | 145.3.32.142/32 | 145.3.32.142 to 145.3.32.142 | — | 1 |
| 144 | 145.3.32.143/32 | 145.3.32.143 to 145.3.32.143 | — | 1 |
| 145 | 145.3.32.144/32 | 145.3.32.144 to 145.3.32.144 | — | 1 |
| 146 | 145.3.32.145/32 | 145.3.32.145 to 145.3.32.145 | — | 1 |
| 147 | 145.3.32.146/32 | 145.3.32.146 to 145.3.32.146 | — | 1 |
| 148 | 145.3.32.147/32 | 145.3.32.147 to 145.3.32.147 | — | 1 |
| 149 | 145.3.32.148/32 | 145.3.32.148 to 145.3.32.148 | — | 1 |
| 150 | 145.3.32.149/32 | 145.3.32.149 to 145.3.32.149 | — | 1 |
| 151 | 145.3.32.150/32 | 145.3.32.150 to 145.3.32.150 | — | 1 |
| 152 | 145.3.32.151/32 | 145.3.32.151 to 145.3.32.151 | — | 1 |
| 153 | 145.3.32.152/32 | 145.3.32.152 to 145.3.32.152 | — | 1 |
| 154 | 145.3.32.153/32 | 145.3.32.153 to 145.3.32.153 | — | 1 |
| 155 | 145.3.32.154/32 | 145.3.32.154 to 145.3.32.154 | — | 1 |
| 156 | 145.3.32.155/32 | 145.3.32.155 to 145.3.32.155 | — | 1 |
| 157 | 145.3.32.156/32 | 145.3.32.156 to 145.3.32.156 | — | 1 |
| 158 | 145.3.32.157/32 | 145.3.32.157 to 145.3.32.157 | — | 1 |
| 159 | 145.3.32.158/32 | 145.3.32.158 to 145.3.32.158 | — | 1 |
| 160 | 145.3.32.159/32 | 145.3.32.159 to 145.3.32.159 | — | 1 |
| 161 | 145.3.32.160/32 | 145.3.32.160 to 145.3.32.160 | — | 1 |
| 162 | 145.3.32.161/32 | 145.3.32.161 to 145.3.32.161 | — | 1 |
| 163 | 145.3.32.162/32 | 145.3.32.162 to 145.3.32.162 | — | 1 |
| 164 | 145.3.32.163/32 | 145.3.32.163 to 145.3.32.163 | — | 1 |
| 165 | 145.3.32.164/32 | 145.3.32.164 to 145.3.32.164 | — | 1 |
| 166 | 145.3.32.165/32 | 145.3.32.165 to 145.3.32.165 | — | 1 |
| 167 | 145.3.32.166/32 | 145.3.32.166 to 145.3.32.166 | — | 1 |
| 168 | 145.3.32.167/32 | 145.3.32.167 to 145.3.32.167 | — | 1 |
| 169 | 145.3.32.168/32 | 145.3.32.168 to 145.3.32.168 | — | 1 |
| 170 | 145.3.32.169/32 | 145.3.32.169 to 145.3.32.169 | — | 1 |
| 171 | 145.3.32.170/32 | 145.3.32.170 to 145.3.32.170 | — | 1 |
| 172 | 145.3.32.171/32 | 145.3.32.171 to 145.3.32.171 | — | 1 |
| 173 | 145.3.32.172/32 | 145.3.32.172 to 145.3.32.172 | — | 1 |
| 174 | 145.3.32.173/32 | 145.3.32.173 to 145.3.32.173 | — | 1 |
| 175 | 145.3.32.174/32 | 145.3.32.174 to 145.3.32.174 | — | 1 |
| 176 | 145.3.32.175/32 | 145.3.32.175 to 145.3.32.175 | — | 1 |
| 177 | 145.3.32.176/32 | 145.3.32.176 to 145.3.32.176 | — | 1 |
| 178 | 145.3.32.177/32 | 145.3.32.177 to 145.3.32.177 | — | 1 |
| 179 | 145.3.32.178/32 | 145.3.32.178 to 145.3.32.178 | — | 1 |
| 180 | 145.3.32.179/32 | 145.3.32.179 to 145.3.32.179 | — | 1 |
| 181 | 145.3.32.180/32 | 145.3.32.180 to 145.3.32.180 | — | 1 |
| 182 | 145.3.32.181/32 | 145.3.32.181 to 145.3.32.181 | — | 1 |
| 183 | 145.3.32.182/32 | 145.3.32.182 to 145.3.32.182 | — | 1 |
| 184 | 145.3.32.183/32 | 145.3.32.183 to 145.3.32.183 | — | 1 |
| 185 | 145.3.32.184/32 | 145.3.32.184 to 145.3.32.184 | — | 1 |
| 186 | 145.3.32.185/32 | 145.3.32.185 to 145.3.32.185 | — | 1 |
| 187 | 145.3.32.186/32 | 145.3.32.186 to 145.3.32.186 | — | 1 |
| 188 | 145.3.32.187/32 | 145.3.32.187 to 145.3.32.187 | — | 1 |
| 189 | 145.3.32.188/32 | 145.3.32.188 to 145.3.32.188 | — | 1 |
| 190 | 145.3.32.189/32 | 145.3.32.189 to 145.3.32.189 | — | 1 |
| 191 | 145.3.32.190/32 | 145.3.32.190 to 145.3.32.190 | — | 1 |
| 192 | 145.3.32.191/32 | 145.3.32.191 to 145.3.32.191 | — | 1 |
| 193 | 145.3.32.192/32 | 145.3.32.192 to 145.3.32.192 | — | 1 |
| 194 | 145.3.32.193/32 | 145.3.32.193 to 145.3.32.193 | — | 1 |
| 195 | 145.3.32.194/32 | 145.3.32.194 to 145.3.32.194 | — | 1 |
| 196 | 145.3.32.195/32 | 145.3.32.195 to 145.3.32.195 | — | 1 |
| 197 | 145.3.32.196/32 | 145.3.32.196 to 145.3.32.196 | — | 1 |
| 198 | 145.3.32.197/32 | 145.3.32.197 to 145.3.32.197 | — | 1 |
| 199 | 145.3.32.198/32 | 145.3.32.198 to 145.3.32.198 | — | 1 |
| 200 | 145.3.32.199/32 | 145.3.32.199 to 145.3.32.199 | — | 1 |
| 201 | 145.3.32.200/32 | 145.3.32.200 to 145.3.32.200 | — | 1 |
| 202 | 145.3.32.201/32 | 145.3.32.201 to 145.3.32.201 | — | 1 |
| 203 | 145.3.32.202/32 | 145.3.32.202 to 145.3.32.202 | — | 1 |
| 204 | 145.3.32.203/32 | 145.3.32.203 to 145.3.32.203 | — | 1 |
| 205 | 145.3.32.204/32 | 145.3.32.204 to 145.3.32.204 | — | 1 |
| 206 | 145.3.32.205/32 | 145.3.32.205 to 145.3.32.205 | — | 1 |
| 207 | 145.3.32.206/32 | 145.3.32.206 to 145.3.32.206 | — | 1 |
| 208 | 145.3.32.207/32 | 145.3.32.207 to 145.3.32.207 | — | 1 |
| 209 | 145.3.32.208/32 | 145.3.32.208 to 145.3.32.208 | — | 1 |
| 210 | 145.3.32.209/32 | 145.3.32.209 to 145.3.32.209 | — | 1 |
| 211 | 145.3.32.210/32 | 145.3.32.210 to 145.3.32.210 | — | 1 |
| 212 | 145.3.32.211/32 | 145.3.32.211 to 145.3.32.211 | — | 1 |
| 213 | 145.3.32.212/32 | 145.3.32.212 to 145.3.32.212 | — | 1 |
| 214 | 145.3.32.213/32 | 145.3.32.213 to 145.3.32.213 | — | 1 |
| 215 | 145.3.32.214/32 | 145.3.32.214 to 145.3.32.214 | — | 1 |
| 216 | 145.3.32.215/32 | 145.3.32.215 to 145.3.32.215 | — | 1 |
| 217 | 145.3.32.216/32 | 145.3.32.216 to 145.3.32.216 | — | 1 |
| 218 | 145.3.32.217/32 | 145.3.32.217 to 145.3.32.217 | — | 1 |
| 219 | 145.3.32.218/32 | 145.3.32.218 to 145.3.32.218 | — | 1 |
| 220 | 145.3.32.219/32 | 145.3.32.219 to 145.3.32.219 | — | 1 |
| 221 | 145.3.32.220/32 | 145.3.32.220 to 145.3.32.220 | — | 1 |
| 222 | 145.3.32.221/32 | 145.3.32.221 to 145.3.32.221 | — | 1 |
| 223 | 145.3.32.222/32 | 145.3.32.222 to 145.3.32.222 | — | 1 |
| 224 | 145.3.32.223/32 | 145.3.32.223 to 145.3.32.223 | — | 1 |
| 225 | 145.3.32.224/32 | 145.3.32.224 to 145.3.32.224 | — | 1 |
| 226 | 145.3.32.225/32 | 145.3.32.225 to 145.3.32.225 | — | 1 |
| 227 | 145.3.32.226/32 | 145.3.32.226 to 145.3.32.226 | — | 1 |
| 228 | 145.3.32.227/32 | 145.3.32.227 to 145.3.32.227 | — | 1 |
| 229 | 145.3.32.228/32 | 145.3.32.228 to 145.3.32.228 | — | 1 |
| 230 | 145.3.32.229/32 | 145.3.32.229 to 145.3.32.229 | — | 1 |
| 231 | 145.3.32.230/32 | 145.3.32.230 to 145.3.32.230 | — | 1 |
| 232 | 145.3.32.231/32 | 145.3.32.231 to 145.3.32.231 | — | 1 |
| 233 | 145.3.32.232/32 | 145.3.32.232 to 145.3.32.232 | — | 1 |
| 234 | 145.3.32.233/32 | 145.3.32.233 to 145.3.32.233 | — | 1 |
| 235 | 145.3.32.234/32 | 145.3.32.234 to 145.3.32.234 | — | 1 |
| 236 | 145.3.32.235/32 | 145.3.32.235 to 145.3.32.235 | — | 1 |
| 237 | 145.3.32.236/32 | 145.3.32.236 to 145.3.32.236 | — | 1 |
| 238 | 145.3.32.237/32 | 145.3.32.237 to 145.3.32.237 | — | 1 |
| 239 | 145.3.32.238/32 | 145.3.32.238 to 145.3.32.238 | — | 1 |
| 240 | 145.3.32.239/32 | 145.3.32.239 to 145.3.32.239 | — | 1 |
| 241 | 145.3.32.240/32 | 145.3.32.240 to 145.3.32.240 | — | 1 |
| 242 | 145.3.32.241/32 | 145.3.32.241 to 145.3.32.241 | — | 1 |
| 243 | 145.3.32.242/32 | 145.3.32.242 to 145.3.32.242 | — | 1 |
| 244 | 145.3.32.243/32 | 145.3.32.243 to 145.3.32.243 | — | 1 |
| 245 | 145.3.32.244/32 | 145.3.32.244 to 145.3.32.244 | — | 1 |
| 246 | 145.3.32.245/32 | 145.3.32.245 to 145.3.32.245 | — | 1 |
| 247 | 145.3.32.246/32 | 145.3.32.246 to 145.3.32.246 | — | 1 |
| 248 | 145.3.32.247/32 | 145.3.32.247 to 145.3.32.247 | — | 1 |
| 249 | 145.3.32.248/32 | 145.3.32.248 to 145.3.32.248 | — | 1 |
| 250 | 145.3.32.249/32 | 145.3.32.249 to 145.3.32.249 | — | 1 |
| 251 | 145.3.32.250/32 | 145.3.32.250 to 145.3.32.250 | — | 1 |
| 252 | 145.3.32.251/32 | 145.3.32.251 to 145.3.32.251 | — | 1 |
| 253 | 145.3.32.252/32 | 145.3.32.252 to 145.3.32.252 | — | 1 |
| 254 | 145.3.32.253/32 | 145.3.32.253 to 145.3.32.253 | — | 1 |
| 255 | 145.3.32.254/32 | 145.3.32.254 to 145.3.32.254 | — | 1 |
| 256 | 145.3.32.255/32 | 145.3.32.255 to 145.3.32.255 | — | 1 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |